-- COMBAT_LOG_EVENT_UNFILTERED
function(e, ...)
	local caster, err = CLEUParser.GetSourceName(...)
	if err then return end
	if caster ~= aura_env.PlayerName then return end
	local subevent, err = CLEUParser.GetSubevent(...)
	if err then return end
	if subevent ~= "SPELL_PERIODIC_DAMAGE" then return end
	local spellID, err = CLEUParser.GetSpellId(...)
	if err then return end
	if spellID == 980 then
		aura_env.AgonyStack:Push(time())
	end
end